datablock AudioProfile(sentryBuildSound)
{
	filename    = "./sentryBuild.wav";
	description = AudioClose3d;
	preload = true;
};

datablock AudioProfile(welderHitSound)
{
   filename    = "./welderHit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock ExplosionData(welderExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 500;

   particleEmitter = gunSmokeEmitter;
   particleDensity = 10;
   particleRadius = 0.001;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0;
   lightStartColor = "00.0 0.2 0.6";
   lightEndColor = "0 0 0";
};


//projectile
AddDamageType("Welder",   '<bitmap:add-ons/Weapon_Sword/CI_Sword> %1',    '%2 <bitmap:add-ons/Weapon_Sword/CI_Sword> %1',0.75,1);
datablock ProjectileData(welderProjectile)
{
   directDamage        = 0;
   directDamageType  = $DamageType::Welder;
   radiusDamageType  = $DamageType::Welder;
   explosion           = welderExplosion;
   //particleEmitter     = gunFlashEmitter;

   muzzleVelocity      = 100;
   velInheritFactor    = 0;

   armingDelay         = 0;
   lifetime            = 66;
   fadeDelay           = 0;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Welder Slice";
};


//////////
// item //
//////////
datablock ItemData(welderItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./welder.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Welder";
	iconName = "./icon_welder";
	doColorShift = false;
	colorShiftColor = "0.471 0.471 0.471 1.000";

	 // Dynamic properties defined by the scripts
	image = welderImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(welderImage)
{
   // Basic Item properties
   shapeFile = "./welder.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = welderItem;
   ammo = " ";
   projectile = welderProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;

   //casing = " ";
   doColorShift = true;
   colorShiftColor = "0.471 0.471 0.471 1.000";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.1;
	stateTransitionOnTimeout[0]      = "Ready";

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "PreFire";
	stateAllowImageChange[1]         = true;

	stateName[2]			= "PreFire";
	stateScript[2]                  = "onPreFire";
	stateAllowImageChange[2]        = false;
	stateTimeoutValue[2]            = 0.05;
	stateTransitionOnTimeout[2]     = "Fire";

	stateName[3]                    = "Fire";
	stateTransitionOnTimeout[3]     = "CheckFire";
	stateTimeoutValue[3]            = 0.05;
	stateFire[3]                    = true;
	stateEmitter[3]					= gunFlashEmitter;
	stateSound[3]					= welderHitSound;
	stateEmitterTime[3]				= 0.08;
	stateEmitterNode[3]				= "muzzleNode";
	stateAllowImageChange[3]        = false;
	stateSequence[3]                = "Fire";
	stateScript[3]                  = "onFire";
	stateWaitForTimeout[3]		= true;

	stateName[4]			= "CheckFire";
	stateTransitionOnTriggerUp[4]	= "StopFire";
	stateTransitionOnTriggerDown[4]	= "Fire";

	stateName[5]                    = "StopFire";
	stateTransitionOnTimeout[5]     = "Ready";
	stateTimeoutValue[5]            = 0.2;
	stateAllowImageChange[5]        = false;
	stateWaitForTimeout[5]		= true;
	stateSequence[5]                = "StopFire";
	stateScript[5]                  = "onStopFire";
};

datablock ItemData(superwelderItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./welder.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Super Welder";
	iconName = "./icon_welder";
	doColorShift = false;
	colorShiftColor = "0.471 0.471 0.471 1.000";

	 // Dynamic properties defined by the scripts
	image = superwelderImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(superwelderImage)
{
   // Basic Item properties
   shapeFile = "./welder.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = superwelderItem;
   ammo = " ";
   projectile = welderProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   doRetraction = false;
   //raise your arm up or not
   armReady = true;

   //casing = " ";
   doColorShift = true;
   colorShiftColor = "0.471 0.471 0.471 1.000";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.05;
	stateTransitionOnTimeout[0]      = "Ready";

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "PreFire";
	stateAllowImageChange[1]         = true;

	stateName[2]			= "PreFire";
	stateScript[2]                  = "onPreFire";
	stateAllowImageChange[2]        = false;
	stateTimeoutValue[2]            = 0.025;
	stateTransitionOnTimeout[2]     = "Fire";

	stateName[3]                    = "Fire";
	stateTransitionOnTimeout[3]     = "CheckFire";
	stateTimeoutValue[3]            = 0.025;
	stateFire[3]                    = true;
	stateEmitter[3]					= gunFlashEmitter;
	stateSound[3]					= welderHitSound;
	stateEmitterTime[3]				= 0.04;
	stateEmitterNode[3]				= "muzzleNode";
	stateAllowImageChange[3]        = false;
	stateSequence[3]                = "Fire";
	stateScript[3]                  = "onFire";
	stateWaitForTimeout[3]		= true;

	stateName[4]			= "CheckFire";
	stateTransitionOnTriggerUp[4]	= "StopFire";
	stateTransitionOnTriggerDown[4]	= "Fire";

	stateName[5]                    = "StopFire";
	stateTransitionOnTimeout[5]     = "Ready";
	stateTimeoutValue[5]            = 0.1;
	stateAllowImageChange[5]        = false;
	stateWaitForTimeout[5]		= true;
	stateSequence[5]                = "StopFire";
	stateScript[5]                  = "onStopFire";
};

datablock DebrisData(toolboxPart2Debris)
{

	shapeFile = "./toolboxgear.dts";
	lifetime = 2.8;
	spinSpeed			= 1200.0;
	minSpinSpeed = -3600.0;
	maxSpinSpeed = 3600.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 4;
};

datablock DebrisData(toolboxPart3Debris)
{

	shapeFile = "./toolboxPart2.dts";
	lifetime = 4.0;
	spinSpeed			= 200.0;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 3;
};

datablock DebrisData(toolboxPart4Debris)
{

	shapeFile = "./toolboxPart1.dts";
	lifetime = 4.0;
	spinSpeed			= 200.0;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 4;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

datablock ParticleData(toolboxOpenExplosionParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0.4;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 2200;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.8 0.8 0.6 0.3";
	colors[1]			= "0.8 0.8 0.6 0.0";
	sizes[0]			= 6.25;
	sizes[1]			= 8.25;

	useInvAlpha = true;
};

datablock ParticleEmitterData(toolboxOpenExplosionEmitter)
{
	ejectionPeriodMS	= 1;
	periodVarianceMS	= 0;
	ejectionVelocity	= 4;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= "toolboxOpenExplosionParticle";
};

datablock ParticleData(toolboxOpenChunksParticle)
{
	dragCoefficient			= 1;
	gravityCoefficient		= 6;
	inheritedVelFactor		= 0.2;
	constantAcceleration	= 0.0;
	lifetimeMS				= 700;
	lifetimeVarianceMS		= 100;
	textureName				= "base/data/particles/nut";
	spinSpeed				= 790.0;
	spinRandomMin			= -790.0;
	spinRandomMax			= 790.0;
	colors[0]				= "0.4 0.2 0.0 0.6";
	colors[1]				= "0.4 0.2 0.0 0.0";
	sizes[0]				= 0.7;
	sizes[1]				= 0.6;

	useInvAlpha				= false;
};

datablock ParticleEmitterData(toolboxOpenChunksEmitter)
{
	lifeTimeMS			= 100;
	ejectionPeriodMS	= 6;
	periodVarianceMS	= 0;
	ejectionVelocity	= 12;
	velocityVariance	= 12.0;
	ejectionOffset		= 1.0;
	thetaMin			= 0;
	thetaMax			= 180;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= "toolboxOpenChunksParticle";
};

datablock ParticleData(toolboxOpenSprayParticle)
{
	dragCoefficient			= 0.2;
	gravityCoefficient		= 5;
	inheritedVelFactor		= 0.2;
	constantAcceleration	= 0.0;
	lifetimeMS				= 1000;
	lifetimeVarianceMS		= 200;
	textureName				= "base/data/particles/chunk";
	spinSpeed				= 900.0;
	spinRandomMin			= -900.0;
	spinRandomMax			= 900.0;
	colors[0]				= "0.27 0.1 0.0 1";
	colors[1]				= "0.27 0.1 0.0 1";
	colors[2]				= "0.27 0.1 0.0 0";
	sizes[0]				= 0.8;
	sizes[1]				= 0.8;
	sizes[2]				= 0.0;
	useInvAlpha				= false;
};

datablock ParticleEmitterData(toolboxOpenSprayEmitter)
{
	lifeTimeMS			= 100;
	ejectionPeriodMS	= 1;
	periodVarianceMS	= 0;
	ejectionVelocity	= 18;
	velocityVariance	= 18.0;
	ejectionOffset		= 1.0;
	thetaMin			= 0;
	thetaMax			= 180;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= "toolboxOpenSprayParticle";
};

datablock ExplosionData(toolboxOpenDebris1Explosion)
{
   particleEmitter = toolboxOpenChunksEmitter;
   particleDensity = 4;
   particleRadius = 0.2;

   debris = toolboxPart2Debris;
   debrisNum = 8;
   debrisNumVariance = 6;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 180;
   debrisVelocity = 12;
   debrisVelocityVariance = 6;
};

datablock ExplosionData(toolboxOpenDebris2Explosion)
{
   debris = toolboxPart3Debris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 180;
   debrisVelocity = 16;
   debrisVelocityVariance = 6;
};

datablock ExplosionData(toolboxExplosionExplosion)
{

   explosionShape = "";

   lifeTimeMS = 150;

   debris = toolboxPart4Debris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 180;
   debrisVelocity = 16;
   debrisVelocityVariance = 6;

   particleEmitter = toolboxOpenExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   emitter[0] = toolboxOpenSprayEmitter;
   emitter[1] = toolboxOpenChunksEmitter;

   subExplosion[0] = toolboxOpenDebris1Explosion;
   subExplosion[1] = toolboxOpenDebris2Explosion;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.1;
   camShakeRadius = 20.0;
};

datablock ProjectileData(toolboxExplosionProjectile)
{
	uiname							= "";

	lifetime						= 10;
	fadeDelay						= 10;
	explodeondeath						= true;
	explosion						= toolboxExplosionExplosion;

};
